> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the Cashback Consumer status

> Sets the "Consumer Reward status" of an existing Reward.



## OpenAPI

````yaml /program/api/openapi/legacy/1.1.2/m2m.json post /connectors/m2m/rewards/{reward_id}/{target_consumer_status}
openapi: 3.0.2
info:
  title: PayLead API
  version: 1.1.2
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/m2m/rewards/{reward_id}/{target_consumer_status}:
    post:
      tags:
        - Status
      summary: Update the Cashback Consumer status
      description: Sets the "Consumer Reward status" of an existing Reward.
      parameters:
        - description: Unique ID of the reward.
          in: path
          name: reward_id
          required: true
          schema:
            format: uuid
            type: string
        - description: Target consumer status to give to the target reward
          in: path
          name: target_consumer_status
          required: true
          schema:
            enum:
              - validation
              - pooled
              - paid
              - cancelled
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsumerRewardStatus'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumerRewardStatus'
          description: Created
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '409':
          description: Conflict
        '415':
          description: Unsupported Media Type
        '422':
          description: Unprocessable Entity
components:
  schemas:
    ConsumerRewardStatus:
      properties:
        comment:
          type: string
      required:
        - comment
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````